/*
 * Observer.cpp
 *
 *  Created on: 07/giu/2012
 *      Author: bertini
 */

#include "Observer.h"

Observer::Observer(Subject* subj) {
	subject = subj;

}

Observer::~Observer() {
	subject->unsubscribe( this );
}


void Observer::attach() {
	subject->subscribe( this );
}


void Observer::detach() {
	subject->unsubscribe( this );
}
