/*
 * Observer.h
 *
 *  Created on: 07/giu/2012
 *      Author: bertini
 */

#ifndef OBSERVER_H_
#define OBSERVER_H_

#include "Subject.h"

class Subject; // forward declaration

class Observer {
public:
	Observer(Subject* subj);
	virtual ~Observer();

	virtual void update() = 0; // pull

	virtual void attach();
	virtual void detach();

protected:
	Subject* subject;
};

#endif /* OBSERVER_H_ */
