/*
 * Timer.h
 *
 *  Created on: 07/giu/2012
 *      Author: bertini
 */

#ifndef TIMER_H_
#define TIMER_H_

#include "Subject.h"

class Timer : public Subject {
public:
	Timer();
	virtual ~Timer();

	void tick();

	int getSecond() const {
		return seconds;
	}

	void setSeconds(int value) {
		seconds = value;
		notify();
	}

private:
	int seconds;
	int timeZone;
};

#endif /* TIMER_H_ */
